%define upstream_name	 CGI-XMLApplication
%define upstream_version 1.1.5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:	%{upstream_name} module for perl
License:	MPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/P/PH/PHISH/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl(CGI)
BuildRequires:	perl(XML::LibXML)
BuildRequires:  perl(XML::LibXSLT)

BuildArch:	noarch


%description
%{upstream_name} module for perl
CGI::XMLApplication is a CGI application class, that intends to enable
perl artists to implement CGIs that make use of XML/XSLT
functionality, without taking too much care about specialized
error checking or even care too much about XML itself. It provides the
power of the XML::LibXML/ XML::LibXSLT module package for
content delivery.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%{__chmod} 644 Changes MANIFEST README

%build
CFLAGS="$RPM_OPT_FLAGS" %__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes MANIFEST README examples/*
%{_mandir}/*/*
%{perl_vendorlib}/CGI/*


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.1.5-6.mga9
+ Revision: 1817048
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1.5-5.mga8
+ Revision: 1493503
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.1.5-4.mga7
+ Revision: 1266079
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.1.5-3.mga6
+ Revision: 1023829
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.1.5-2.mga6
+ Revision: 969339
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 1.1.5-1.mga6
+ Revision: 868330
- update to 1.1.5

* Sun Jul 05 2015 sander85 <sander85> 1.1.4-1.mga6
+ Revision: 851295
- update to 1.1.4

* Wed Oct 15 2014 umeabot <umeabot> 1.1.3-11.mga5
+ Revision: 742439
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.3-10.mga5
+ Revision: 683664
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.3-9.mga4
+ Revision: 509447
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.3-8.mga3
+ Revision: 363595
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.1.3-7.mga1
+ Revision: 31730
- mageia rebuild
- imported package perl-CGI-XMLApplication


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.1.3-7mdv2010.1
+ Revision: 504808
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.1.3-6mdv2010.0
+ Revision: 430321
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 1.1.3-5mdv2009.0
+ Revision: 255835
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.1.3-3mdv2008.1
+ Revision: 136678
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.3-3mdv2008.0
+ Revision: 86065
- rebuild


* Fri Sep 30 2005 Nicolas Lécureuil <neoclust@mandriva.org> 1.1.3-2mdk
- buildrequires fix

* Tue May 11 2004 Michael Scherer <misc@mandrake.org> 1.1.3-1mdk
- New release 1.1.3
- rpmbuildupdate aware
- add make test

* Thu Aug 28 2003 François Pons <fpons@mandrakesoft.com> 1.1.2-1mdk
- 1.1.2.

* Sat Aug 02 2003 Ben Reser <ben@reser.org> 1.1.1-4mdk
- macroize
- %%makeinstall-std
- remove automatically found requires

* Wed May 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.1-3mdk
- rebuild for new auto{prov,req}

* Wed Jul 10 2002 Pixel <pixel@mandrakesoft.com> 1.1.1-2mdk
- rebuild for perl 5.8.0

* Mon Apr 15 2002 Philippe Libat <philippe@mandrakesoft.com> 1.1.1-1mdk
- initial RPM

